3D shell step file without thickness [Solved]

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
zuheyr
Posts: 52
Joined: Tue Jul 16, 2019 3:42 pm

3D shell step file without thickness [Solved]

Post by zuheyr »

Dear colleagues,
I am a nearly newcomer to FreeCAD but I am learning and grateful.
Huge thank you to the developers.

I need to have a CAD step file of a zero thickness 3D shell, an elipsoid say with no thickness. Just like a 2D circle, a 3D
ellipsoid step file, can I do this? Thank you for reading and for your help!

Best, Zuheyr
Last edited by zuheyr on Wed Feb 16, 2022 8:55 am, edited 1 time in total.
wmayer
Founder
Posts: 20298
Joined: Thu Feb 19, 2009 10:32 am
Contact:

Re: 3D shell step file without thickness

Post by wmayer »

In the Part workbench there is a function to create an Ellipsoid. This, however, is a solid. To get a hollow shell out of it run this snippet:

Code: Select all

Part.show(App.ActiveDocument.Ellipsoid.Shape.Shells[0], "Shell")
Note: When using the clipping plane function of FreeCAD then both objects appear as hollow objects but commercial CAD packages may show the solid as massive object and the shell hopefully as hollow object.
zuheyr
Posts: 52
Joined: Tue Jul 16, 2019 3:42 pm

Re: 3D shell step file without thickness

Post by zuheyr »

Thank you so much, yes I do use the ellipsoid. I apologize for the trivial question but where do I run that snippet? :-(
domad
Veteran
Posts: 2091
Joined: Mon Jun 22, 2020 12:16 pm

Re: 3D shell step file without thickness

Post by domad »

zuheyr wrote: Mon Jan 24, 2022 2:53 pm Thank you so much, yes I do use the ellipsoid. I apologize for the trivial question but where do I run that snippet? :-(
Hi zuheyr, greetings to the Community!
To get a shape without thickness:
Wb "Part":
- "Part" menu (or button) -> Create primitives -> ellipsoid;
Wb "Draft":
- select the ellipsoid -> "Drafting" menu (or button) -> Facebinder;

To get a mesh:
Wb "Mesh Design"
- select the ellipsoid or facebinder-ellipsoid -> Meshes menu (or button) -> "Create mesh from shape"

To cut Ellipsoid-facebinder:
Wb "Draft"
- Create a filled rectangle (or another flat shape);
Wb "Part"
- First select Ellipsoid-facebinder then rectangle-filled -> "Part" menu -> "Split" -> "Slice apart".
Attachments
Ellipsoid_without_thickness.png
Ellipsoid_without_thickness.png (370.88 KiB) Viewed 1105 times
wmayer
Founder
Posts: 20298
Joined: Thu Feb 19, 2009 10:32 am
Contact:

Re: 3D shell step file without thickness

Post by wmayer »

zuheyr wrote: Mon Jan 24, 2022 2:53 pm Thank you so much, yes I do use the ellipsoid. I apologize for the trivial question but where do I run that snippet? :-(
In the Python console. You can activate it with View > Dock windows > Python console
zuheyr
Posts: 52
Joined: Tue Jul 16, 2019 3:42 pm

Re: 3D shell step file without thickness

Post by zuheyr »

Million thanks to you Domad and WMeyer. I am grateful for your help.
Best wishes, Zuheyr
domad
Veteran
Posts: 2091
Joined: Mon Jun 22, 2020 12:16 pm

Re: 3D shell step file without thickness

Post by domad »

zuheyr wrote: Mon Jan 24, 2022 4:55 pm Million thanks to you Domad and WMeyer. I am grateful for your help.
Best wishes, Zuheyr
We're glad you solved it, but now please add [Solved] to the topic title.
TheMarkster
Veteran
Posts: 5508
Joined: Thu Apr 05, 2018 1:53 am

Re: 3D shell step file without thickness

Post by TheMarkster »

In recent builds of 0.20 you can select the ellipsoid, press Ctrl+Shift+P and this will bring up the python console automatically, if it's not already visible, with obj assigned to the selected object. From there it could be entered:

Code: Select all

Part.show(obj.Shape.Shell1,"Shell")
zuheyr
Posts: 52
Joined: Tue Jul 16, 2019 3:42 pm

Re: 3D shell step file without thickness

Post by zuheyr »

Dear Domad,

I do as you instructed, but I cannot get rid of the dividing plane as well in the final cuts. Here is the picture:
I need a shape like a half broken egg without the plane as shown in the attached picture.

Many thanks, and apologies.
I am using FreeCad under Ubuntu 20.04 and it installs 0.18.

Best,
Zuheyr
Attachments
sshot_FreeCad.png
sshot_FreeCad.png (174.56 KiB) Viewed 863 times
zuheyr
Posts: 52
Joined: Tue Jul 16, 2019 3:42 pm

Re: 3D shell step file without thickness

Post by zuheyr »

Thank you very much! Taking more time and carefully following Domad's wonderful explanation
I did get a shell.

Instructive mistake: Apparently my mistake was to make the rectangle and facebinder solids before splitting.
This time I did not.

Thank you so much Domad, and to Wmayer for your valuable time and great help.
Much appreciated.

Best regards,
Zuheyr
Post Reply